com.trendmicro.ds.platform.rest.object.cloud

## Class CreateCloudAccountRequest

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.WebServiceRequest
  - - com.trendmicro.ds.platform.rest.object.cloud.CreateCloudAccountRequest

-     public class CreateCloudAccountRequest
      extends WebServiceRequest

  Provides options for the creation of a new cloud account. Please add your selected internal cloudAccount elements without "cloudAccount" wrapping XML.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateCloudAccountRequest()`
    `CreateCloudAccountRequest(java.lang.String sessionId, CloudAccountElement cloudAccountElement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CloudAccountElement` | `getCloudAccountElement()` Contains cloud account related information.
    `void` | `setCloudAccountElement(CloudAccountElement cloudAccountElement)`

    - ### Methods inherited from class com.trendmicro.ds.platform.rest.object.WebServiceRequest

      `getSessionId, setSessionId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateCloudAccountRequest

          public CreateCloudAccountRequest()

    - #### CreateCloudAccountRequest

          public CreateCloudAccountRequest(java.lang.String sessionId,
                                           CloudAccountElement cloudAccountElement)

  - ### Method Detail

    - #### getCloudAccountElement

          public CloudAccountElement getCloudAccountElement()

      Contains cloud account related information. The class is a superset of attributes coming from our supported cloud providers.
      Returns:
        cloudAccountElement

    - #### setCloudAccountElement

          public void setCloudAccountElement(CloudAccountElement cloudAccountElement)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.